%define upstream_name HTML_BBCodeParser
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.4
Release:     	%mkrel 12
Summary:    	This is a parser to replace UBB style tags with their html equivalents
License: 	PHP License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/HTML_BBCodeParser-%{version}.tgz
URL: 		https://pear.php.net/package/HTML_BBCodeParser
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.5.4
BuildArch: 	noarch

%description
This is a parser to replace UBB style tags with their html equivalents.
 It does not simply do some regex calls, but is complete stack based parse
engine. This ensures that all tags are properly nested, if not, extra tags
are added to maintain the nesting. This parser should only produce xhtml
1.0 compliant code. All tags are validated and so are all their attributes.
It should be easy to extend this parser with your own tags.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=/tmp/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}/tmp/tests


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_BBCodeParser.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_BBCodeParser.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_BBCodeParser
fi

%files
%{peardir}/*
%{xmldir}/HTML_BBCodeParser.xml


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.2.4-12.mga10
+ Revision: 2215085
- Mageia 10 Mass Rebuild

* Tue Aug 16 2022 mokraemer <mokraemer> 1.2.4-11.mga9
+ Revision: 1878235
- remove old testcases/requirement to old phpunit

* Fri Jun 24 2022 papoteur <papoteur> 1.2.4-10.mga9
+ Revision: 1865852
- Mass Rebuild for dependencies
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.2.4-8.mga8
+ Revision: 1498950
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2.4-7.mga7
+ Revision: 1273209
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.2.4-6.mga6
+ Revision: 933636
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-5.mga5
+ Revision: 745245
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.2.4-4.mga5
+ Revision: 734045
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-3.mga5
+ Revision: 687264
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.4-2.mga4
+ Revision: 528020
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 1.2.4-1.mga4
+ Revision: 443202
- upgrade to version 1.2.4

* Sun Jan 13 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 376197
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 spuhler <spuhler> 1.2.3-1.mga2
+ Revision: 218439
- upgrade to 1.2.3
  pearized spec

* Sat Feb 05 2011 spuhler <spuhler> 1.2.2-6.mga1
+ Revision: 47175
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTML_BBCodeParser


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-6mdv2011.0
+ Revision: 613667
- the mass rebuild of 2010.1 packages

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.2-5mdv2010.1
+ Revision: 477859
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Fri Oct 02 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-4mdv2010.0
+ Revision: 452658
- fix #54217 (php-pear-HTML_BBCodeParser unresolved dependency)

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.2.2-3mdv2010.0
+ Revision: 441111
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdv2009.1
+ Revision: 322084
- rebuild

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 278917
- update to new version 1.2.2

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-9mdv2009.0
+ Revision: 236849
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Nov 12 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1-8mdv2007.0
+ Revision: 83318
- rebuild

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1-7mdv2007.1
+ Revision: 81605
- Import php-pear-HTML_BBCodeParser

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-1mdk
- initial Mandriva package (PLD import)

